apiVersion: apps/v1
kind: Deployment
metadata:
  name: dpl
spec:
  template:
    metadata:
      annotations:
        sidecar.opentelemetry.io/inject: "np-sigma-backend-otlp-collector"
    spec:
      imagePullSecrets:
        - name: digilab-image-registry
      containers:
        - name: sigma-backend
          image: sigma-backend-image
          ports:
            - name: http
              containerPort: 8080
